from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRemoteContentProviderAcceptor(XInterface, Protocol):
    def addRemoteContentProvider(self, Identifier: str, Factory: XMultiServiceFactory, Templates: sequence< string >, DoneListener: XRemoteContentProviderDoneListener) -> bool: ...
    def removeRemoteContentProvider(self, Identifier: str) -> bool: ...
